build/libofx-0.10.0/lib/ofx_sgml.cpp File Reference

OFX/SGML parsing functionnality. More...

Go to the source code of this file.

## Data Structures

class | OFXApplication
| This object is driven by OpenSP as it parses the SGML from the ofx file(s) More...

## Functions

int | ofx_proc_sgml (LibofxContext *libofx_context, int argc, char *const *argv)
| Parses a DTD and OFX file(s) More...

## Variables

OfxMainContainer * | MainContainer = NULL
SGMLApplication::OpenEntityPtr | entity_ptr
SGMLApplication::Position | position

## Detailed Description

OFX/SGML parsing functionnality.

Almost all of the SGML parser specific code is contained in this file (some is in messages.cpp and ofx_utilities.cpp). To understand this file you must read the documentation of OpenSP's generic interface: see http://openjade.sourceforge.net/

Definition in file build/libofx-0.10.0/lib/ofx_sgml.cpp.

## Function Documentation

## ofx_proc_sgml()

int ofx_proc_sgml | ( | LibofxContext * | libofx_context,
|  | int | argc,
|  | char *const * | argv
| ) |  |

Parses a DTD and OFX file(s)

ofx_proc_sgml will take a list of files in command line format. The first file must be the DTD, and then any number of OFX files.

Definition at line 434 of file build/libofx-0.10.0/lib/ofx_sgml.cpp.

## Variable Documentation

## entity_ptr

SGMLApplication::OpenEntityPtr entity_ptr

Global for determining the line number in OpenSP

Definition at line 27 of file build/libofx-0.10.0/lib/messages.cpp.

Referenced by OFXApplication::openEntityChange().

## position

SGMLApplication::Position position

Global for determining the line number in OpenSP

Definition at line 28 of file build/libofx-0.10.0/lib/messages.cpp.

Referenced by OFXApplication::data(), OFXApplication::endElement(), OFXApplication::error(), and OFXApplication::startElement().